## python-pytest-djangoapp 0.15.2

=== docs/requirements.txt ===
# RTD uses py2 to build, so we pindown all those:
django==2.2.24
pytest==4.6.6

=== debian/changelog ===
python-pytest-djangoapp (0.15.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-pytest-djangoapp-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 21:00:13 +0100

python-pytest-djangoapp (0.15.2-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Aug 2022 15:38:09 -0400

python-pytest-djangoapp (0.15.2-1) unstable; urgency=low

  * Initial release (Closes: #1002973).

 -- Michael Fladischer <fladi@debian.org>  Sat, 01 Jan 2022 22:35:39 +0000

=== debian/control ===
Source: python-pytest-djangoapp
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.0.1
Homepage: https://github.com/idlesign/pytest-djangoapp/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-djangoapp
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-djangoapp.git
Rules-Requires-Root: no

Package: python3-pytest-djangoapp
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-pytest-djangoapp-doc
Description: Django pluggable application testing (Python3 version)
 Nice pytest plugin to help you with Django pluggable application testing.
 .
 This exposes some useful tools for Django applications developers to facilitate
 tests authoring, including:
 .
  * Settings overriding
  * Template tags testing
  * User creation
  * Request object creation
  * Management command calls
  * Mailing
  * Messages
  * DB queries audit
 .
 This package contains the Python 3 version of the library.

Package: python-pytest-djangoapp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Django pluggable application testing (Documentation)
 Nice pytest plugin to help you with Django pluggable application testing.
 .
 This exposes some useful tools for Django applications developers to facilitate
 tests authoring, including:
 .
  * Settings overriding
  * Template tags testing
  * User creation
  * Request object creation
  * Management command calls
  * Mailing
  * Messages
  * DB queries audit
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pytest-djangoapp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs/source $(CURDIR)/debian/python-pytest-djangoapp-doc/usr/share/doc/python-pytest-djangoapp-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build/
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-pytest-djangoapp-$1.tar.gz/ \
https://github.com/idlesign/pytest-djangoapp/tags \
/idlesign/pytest-djangoapp/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-pytest-djangoapp 1.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytest-djangoapp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytest-djangoapp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytest-djangoapp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytest-djangoapp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
# For autodoc to work.
django==3.2.19
pytest==7.2.2

=== debian/changelog ===
python-pytest-djangoapp (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.
  * Build using pybuild-plugin-pyproject.
  * Simplify d/rules by using execute_ targets instead of overrides.

 -- Michael Fladischer <fladi@debian.org>  Wed, 28 Jun 2023 21:46:33 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django,
  python3-pytest,
  python3-pytest-runner,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/idlesign/pytest-djangoapp/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-djangoapp
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-djangoapp.git

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,10 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_sphinxdoc:
+execute_before_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs/source $(CURDIR)/debian/python-pytest-djangoapp-doc/usr/share/doc/python-pytest-djangoapp-doc/html
-	dh_sphinxdoc
 endif
 
-override_dh_clean:
+execute_after_dh_clean:
 	rm -rf docs/.build/
-	dh_clean
